<HTML>
<HEAD>
<TITLE>External Script Example</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">
</HEAD>

<BODY>
<p>This is an example of using the external script config found in the config.php file.</p>
<p>We are using the default configuration of the external script variables, as would be found in a fresh install of the EP-Dev Whois script.</p>
<p>In the default install, our $domain value holds the name part of the domain. For example, if the domain we are passing into this script is mydomain.com , then $domain will be holding "mydomain" .</p>
<p>In the default install, our $ext value holds the TLD part of the domain. For example, if the domain we are passing into this script is mydomain.com , then $ext will be holding "com" .</p>
<p>So, if everything is working, there should be a full domain below (assuming you reached this page by clicking the Register Now button in the whois script):<br>
<? echo $_POST['domain'] . "." . $_POST['ext']; ?> </p>
<p>And here is an example of just the name part of the domain:<br>
<? echo $_POST['domain']; ?> </p>
<p>And here is an example of just the tld part of the domain:<br>
<? echo $_POST['ext']; ?> </p>
<br>
<p>The external script url is meant to point to a register script / hosting management script that you acquire from somewhere else. Usually these scripts will allow you to pass in domain names through some method. The most common method is to pass them in via url, such as register.php?domain=mydomain&ext=com<br>
This is the format that this whois script is currently setup for. If the script you are passing to requires a different setup, then you will have to modify this script's default configuration. I will make up some different setups below so that you will understand where you need to edit in different situations.</p>
<p>EXAMPLE 1:<br>
Your external script requires you to use the format of register.php?domain_name=mydomain&domain_tld=com<br>
Note that you now have to send to the script domain_name instead of domain and domain_tld instead of ext. To edit domain and ext to reflect this, you must:
<ol>
	<li>Open up templates/template.php</li>
	<li>Find <font color="blue">type="hidden" name="domain"</font> and replace with <font color="blue">type="hidden" name="domain_name"</font></li>
	<li>Find <font color="blue">type="hidden" name="ext"</font> and replace with <font color="blue">type="hidden" name="domain_tld"</font></li>
	<li>Save & Exit</li>
</ol></p>
<p>EXAMPLE 2:<br>
Your external script requires you to use the format of register.php?domain=mydomain&ext=.com<br>
Note that you now have to have a period before your tld (thus, ".com" instead of just "com"). This setup only requires a config.php edit as the names have not changed (domain and ext have stayed the same, unlike in example 1).
<ol>
	<li>Open up config.php</li>
	<li>Edit the <font color="blue">$CONF['external_ext_format'] = "[EXT]";</font> to instead be <font color="blue">$CONF['external_ext_format'] = ".[EXT]";</font></li>
	<li>Save & Exit</li>
</ol>
Note that we have modified the default variable of just TLD to .TLD, making our com turn into .com </p>
<p>EXAMPLE 3 (MODERNBILL):<br>
I have had requests to integrate this with Modernbill (<a href="http://www.modernbill.com">http://www.modernbill.com</a>). In this example, I will show you how to integrate the script with Modernbill's Order Wizard (default modernbill install).<br>
<br>
Modernbill is tricky, as it requires the domain and the tld to be passed in under one variable, in the format of orderwiz.php?submit_domain=register&domains[]=register|mydomain|com<br>
Note the extra variable (submit_domain) as well as the modified variable (domains[]) and the combined domain structure (register|mydomain|com).<br>
Here is how to configure the whois script to pass the variables into ModernBill in this fashion:
<ol>
	<li>Open up config.php</li>
	<li>Edit the <font color="blue">$CONF['external_domain_format'] = "[DOMAIN]";</font> to instead be <font color="blue">$CONF['external_domain_format'] = "register|[DOMAIN]|[EXT]";</font></li>
	<li>Edit the <font color="blue">$CONF['external_ext_format'] = "[EXT]";</font> to instead be <font color="blue">$CONF['external_ext_format'] = "";</font></li>
	<li>Save & Exit config.php</li>
	<li>Open templates/template.php</li>
	<li>Find <font color="blue">type="hidden" name="domain"</font> and replace with <font color="blue">type="hidden" name="domains[]"</font></li>
	<li>Above <font color="blue">&lt;input type=&quot;hidden&quot; name=&quot;domain&quot; value=&quot;&lt;? echo &#036;domain_info-&gt;var_domain; ?&gt;&quot;&gt;</font> add <font color="blue">&lt;input type=&quot;hidden&quot; name=&quot;submit_domain&quot; value=&quot;register&quot;&gt;</font></li>
	<li>Save & Exit templates.php</li>
</ol>
Now as long as you have your external_script_url in config.php set correctly to something like: http://www.mydomain.com/modernbill/order/orderwiz.php then modernbill should be working correctly. </p>
</BODY>
</HTML>